Docs

User

GET
/v1/user/memberships

List all workspaces the current user has access to.

AuthorizationBearer <token>

API key for authentication, must be provided as a Bearer token. Generate an API key at https://alien.dev/api-keys

In: header

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/v1/user/memberships"
{  "items": [    {      "id": "ws_It13CUaGEhLLAB87simX0",      "name": "string",      "logoUrl": "http://example.com",      "role": "string",      "createdAt": "2019-08-24T14:15:22Z"    }  ]}
GET
/v1/user/profile

Get the current user's profile and user-scoped onboarding state.

AuthorizationBearer <token>

API key for authentication, must be provided as a Bearer token. Generate an API key at https://alien.dev/api-keys

In: header

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/v1/user/profile"
{  "id": "string",  "email": "string",  "name": "string",  "image": "string",  "githubUsername": "string",  "cliConnected": true,  "company": "string",  "acquisitionSource": "github",  "acquisitionSourceDetail": "string",  "useCases": "string",  "profileSetupCompletedAt": "2019-08-24T14:15:22Z",  "profileSetupVersion": 0}
PATCH
/v1/user/profile

Update the current user's profile (display name).

AuthorizationBearer <token>

API key for authentication, must be provided as a Bearer token. Generate an API key at https://alien.dev/api-keys

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X PATCH "https://example.com/v1/user/profile" \  -H "Content-Type: application/json" \  -d '{}'
{  "id": "string",  "email": "string",  "name": "string",  "image": "string",  "githubUsername": "string",  "cliConnected": true,  "company": "string",  "acquisitionSource": "github",  "acquisitionSourceDetail": "string",  "useCases": "string",  "profileSetupCompletedAt": "2019-08-24T14:15:22Z",  "profileSetupVersion": 0}
POST
/v1/user/profile/setup

Complete the required beta intake and profile setup dialog.

AuthorizationBearer <token>

API key for authentication, must be provided as a Bearer token. Generate an API key at https://alien.dev/api-keys

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/user/profile/setup" \  -H "Content-Type: application/json" \  -d '{    "name": "string",    "company": "string",    "acquisitionSource": "github"  }'
{  "id": "string",  "email": "string",  "name": "string",  "image": "string",  "githubUsername": "string",  "cliConnected": true,  "company": "string",  "acquisitionSource": "github",  "acquisitionSourceDetail": "string",  "useCases": "string",  "profileSetupCompletedAt": "2019-08-24T14:15:22Z",  "profileSetupVersion": 0}
POST
/v1/user/workspaces

Create a new workspace. The current user will be automatically added as an admin.

AuthorizationBearer <token>

API key for authentication, must be provided as a Bearer token. Generate an API key at https://alien.dev/api-keys

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/user/workspaces" \  -H "Content-Type: application/json" \  -d '{    "name": "string"  }'
{  "id": "ws_It13CUaGEhLLAB87simX0",  "name": "string",  "logoUrl": "http://example.com",  "role": "string",  "createdAt": "2019-08-24T14:15:22Z"}
GET
/v1/user/git-namespaces

List all git namespaces (GitHub installations) the current user has access to.

AuthorizationBearer <token>

API key for authentication, must be provided as a Bearer token. Generate an API key at https://alien.dev/api-keys

In: header

Query Parameters

provider?"github"
Default"github"

Value in

  • "github"

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/v1/user/git-namespaces"
{  "items": [    {      "id": 0,      "name": "string",      "slug": "string",      "installationId": 0,      "type": "team",      "provider": "github",      "createdAt": "2019-08-24T14:15:22Z"    }  ]}
POST
/v1/user/git-namespaces/sync

Sync git namespaces from the provider. For GitHub, this fetches all app installations accessible to the user.

AuthorizationBearer <token>

API key for authentication, must be provided as a Bearer token. Generate an API key at https://alien.dev/api-keys

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X POST "https://example.com/v1/user/git-namespaces/sync" \  -H "Content-Type: application/json" \  -d '{    "provider": "github"  }'
{  "items": [    {      "id": 0,      "name": "string",      "slug": "string",      "installationId": 0,      "type": "team",      "provider": "github",      "createdAt": "2019-08-24T14:15:22Z"    }  ]}
GET
/v1/user/git-namespaces/{id}/repositories

List repositories accessible through a git namespace (GitHub installation).

AuthorizationBearer <token>

API key for authentication, must be provided as a Bearer token. Generate an API key at https://alien.dev/api-keys

In: header

Path Parameters

id*string

Query Parameters

search?string

Search query to filter repositories by name

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/user/git-namespaces/string/repositories"
{  "items": [    {      "name": "string",      "private": true,      "defaultBranch": "string",      "pushedAt": "2019-08-24T14:15:22Z"    }  ]}